let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/1l7f2cn5x7gggzga27xp98xhsrmxgqxg-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/xykn0i815pajfbr76m8al57pksdh4qiv-coreutils-8.31/bin";
  bzip2 = "/nix/store/i5v23h7lx9jna2irfmqic3cbdab0h9l6-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/hnpnj6nacg9ydznjw27yf1ky234y7db6-gzip-1.10/bin/gzip";
  xz = "/nix/store/3f1jxkvfjdd73yxk9l8bjcck280xz7ac-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/vr7dawm8kyv2yysa8ypfgz964cfdnr02-gnutar-1.32/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/xykn0i815pajfbr76m8al57pksdh4qiv-coreutils-8.31/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/b5cx3nmba9ahx3wk5ybxa67k40pdpdxn-nix-2.3.4/bin";
  nixPrefix = "/nix/store/b5cx3nmba9ahx3wk5ybxa67k40pdpdxn-nix-2.3.4";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/b5cx3nmba9ahx3wk5ybxa67k40pdpdxn-nix-2.3.4/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
